<%= f.fields_for :properties do |ej_form| %>
  <%= 
    ej_form.select :ej_component_id,
    component_select("ej", current_participatory_space.id),
    { include_blank: t("decidim.homes.elements.admin.select_a_component"), label: t("decidim.homes.elements.admin.component_label"), selected: @home_element.properties["ej_component_id"].to_i  },
    { multiple: false }
  %>
  <%= ej_form.text_field :text, label: "Pergunta inicial da enquete", value: @home_element.properties["text"] %>
  <%= ej_form.text_field :first_comment, label: "Primeiro comentário", value: @home_element.properties["first_comment"] %>
  <%= ej_form.text_field :comments_number, label: "Quantidade de comentários", value: @home_element.properties["comments_number"] %>
  <%= ej_form.check_box :has_surveys_list_button, label: "Deseja mostrar o botão da lista de enquentes?", checked: @home_element.properties['has_surveys_list_button'].to_i == 1 %>

  <%= ej_form.check_box :survey_ended, label: "Enquete encerrada", checked: @home_element.properties['survey_ended'].to_i == 1 %>
  <%= ej_form.text_field :end_date, label: "Data de encerramento", value: @home_element.properties["end_date"] %>
<% end %>

